#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets multimedia

TARGET   = coretime
TEMPLATE = app

VERSION  = 2.9.0

# Library section
unix:!macx: LIBS += -lcprime

DEFINES += TEST

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += "HAVE_POSIX_OPENPT"

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# Disable Debug on Release
CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        RESOURCE_FOLDER   = $$PREFIX/share/coreapps/resource
        DEFINES          += AUDIO_RESOURCE_FOLDER=\"\\\"$${RESOURCE_FOLDER}\\\"\"

        target.path = $$BINDIR

        desktop.path = $$PREFIX/share/applications/
        desktop.files = "coretime.desktop"

        icons.path = /usr/share/icons/hicolor/scalable/apps/
        icons.files = coretime.svg

        audio.path = /usr/share/coreapps/resource/
        audio.files = resource/sound.ogg

        INSTALLS += target icons desktop audio
}


FORMS += \
    alarmitemwidget.ui \
    alarmwidget.ui \
    coretime.ui \
    currentschedule.ui \
    reminderitemwidget.ui \
    reminderwidget.ui

HEADERS += \
    alarmitemwidget.h \
    alarmwidget.h \
    calendarmanage.h \
    commonfunc.h \
    coretime.h \
    currentschedule.h \
    reminderitemwidget.h \
    reminderwidget.h \
    schedulequeue.h \
    stopwatch.h

SOURCES += \
    alarmitemwidget.cpp \
    alarmwidget.cpp \
    calendarmanage.cpp \
    commonfunc.cpp \
    coretime.cpp \
    currentschedule.cpp \
    main.cpp \
    reminderitemwidget.cpp \
    reminderwidget.cpp \
    schedulequeue.cpp \
    stopwatch.cpp
